.\"	$NetBSD: tr.4,v 1.14 2004/07/03 17:36:51 mycroft Exp $
.\"
.\" Copyright (c) 1997, 1998 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Christoph Badura.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 14, 1999
.Dt TR 4
.Os
.Sh NAME
.Nm tr
.Nd TROPIC based shared memory Token-Ring cards device driver
.Sh SYNOPSIS
.Cd "tr0 at isa? port 0xa20 iomem 0xd800 irq ?"
.Cd "tr* at isa? port ? irq ?"
.Cd "tr* at isapnp?"
.Cd "tr* at mca? slot ?"
.Cd "tr* at pcmcia? function ?"
.Sh DESCRIPTION
The
.Nm
device driver supports TROPIC I based shared-memory Token-Ring cards.
.Sh HARDWARE
Supported cards include the following IBM and 3Com models:
.Pp
.Bl -tag -width xxxx -offset indent
.It IBM
Token-Ring Network PC Adapter
.It IBM
Token-Ring Network PC Adapter II
.It IBM
Token-Ring Network Adapter/A
.It IBM
Token-Ring Network 16/4 Adapter
.It IBM
Token-Ring Network 16/4 Adapter/A
.It IBM
Token-Ring 16/4 Credit Card Adapter
.It IBM
Token Ring Auto 16/4 Credit Card Adapter
.It IBM
Turbo 16/4 Token Ring PC Card
.It IBM
16/4 ISA Adapter
.It IBM
Auto 16/4 Token-Ring ISA Adapter
.It IBM
Token Ring 16/4 Credit Card Adapter
.It IBM
Token Ring Auto 16/4 Credit Card Adapter
.It IBM
Turbo 16/4 Token Ring PC Card
.It 3Com
3C619 TokenLink
.It 3Com
3C319 TokenLink Velocity
.It 3Com
3C389 TokenLink Velocity PC Card
.El
.Sh SOURCE ROUTING
Setting IFF_LINK0 enables Token-Ring source routing.  Setting
IFF_LINK1 uses all-routes broadcasts otherwise single-route broadcasts
are used.
.Sh NOTES
The MCA attachment has been only tested on
IBM Token Ring 16/4 Adapter/A so far.
It doesn't support
.Xr ifmedia 4
yet, too.
.\".Sh MEDIA SELECTION
.\".Sh DIAGNOSTICS
.Sh SEE ALSO
.Xr ifmedia 4 ,
.Xr intro 4 ,
.Xr isa 4 ,
.Xr isapnp 4 ,
.Xr mca 4 ,
.Xr pcmcia 4 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 1.4 .
.Sh BUGS
The PCMCIA attachment does not work with the
.Xr cbb 4
CardBus driver.
